<div fxLayout="row" class="navBar">
  <div fxFlex="17%">

  </div>
  <div fxFlex="51%" class="biggerFont" fxLayoutAlign="start center">
    Global Settings
  </div>

  <div fxFlex="32%" fxLayoutAlign="start">
    <app-admin-nav-bar></app-admin-nav-bar>
  </div>
</div>
<md-spinner class="big-spinner" *ngIf="loading"></md-spinner>
<md-card *ngIf="!loading">
  <form [formGroup]="gsForm" (ngSubmit)="saveChanges(gsForm)" autocomplete="off">
    <div fxLayout="row">
      <div fxFlex="80%">
      </div>
      <div fxFlex="20%">
        <button [disabled]="loadOnUpdate" md-raised-button color="primary" type="submit" [routerLink]="['/admin']">Cancel</button>
        <button [disabled]="loadOnUpdate" md-raised-button color="accent" type="submit">Save Changes</button>
      </div>
    </div>
    <div class="flex-container" fxLayout fxLayoutGap="10%" fxLayoutWrap="wrap">
      <div fxFlex="70%">
        <h2 class="mdl-card__title-text">Set global account settings</h2>
        <hr>

        <div fxLayout="row">
          <div fxFlex="75%">
            <h5>Time of last order</h5>
            <md-input-container>
              <input formControlName="timeOfLastOrder" mdInput placeholder="Time of last order">
            </md-input-container>
          </div>
          <div fxFlex="25%">
            <h5>Currency</h5>
            <md-select formControlName="currency">
              <md-option *ngFor="let cur of currencyList" [value]="cur" [innerHTML]="cur"></md-option>
            </md-select>
          </div>
        </div>
        <h5>Notes</h5>
        <textarea htmlEditor [(ngModel)]="gs.notes" formControlName="notes" rows="4" cols="140">
      </textarea>
        <h5>Terms of service</h5>
        <textarea htmlEditor [(ngModel)]="gs.termsOfService" formControlName="termsOfService" rows="4" cols="140">
      </textarea>
        <h5>Privacy policy</h5>
        <textarea htmlEditor [(ngModel)]="gs.privacyPolicy" formControlName="privacyPolicy" rows="4" cols="140">
      </textarea>
      </div>
    </div>
    <div fxLayout="row">
      <div fxFlex="80%">
      </div>
      <div fxFlex="20%">
        <button [disabled]="loadOnUpdate" md-raised-button color="primary" type="submit" [routerLink]="['/admin']">Cancel</button>
        <button [disabled]="loadOnUpdate" md-raised-button color="accent" type="submit">Save Changes</button>
      </div>
    </div>
  </form>
</md-card>
